using Microsoft.Extensions.DependencyInjection;
using StellaOps.Excititor.Core;

namespace StellaOps.Excititor.Formats.CSAF;

public static class CsafFormatsServiceCollectionExtensions
{
    public static IServiceCollection AddCsafNormalizer(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.AddSingleton<IVexNormalizer, CsafNormalizer>();
        return services;
    }
}
